Page MenuHomePhabricator

Find place in Phab where to display links to custom items (Privacy Policy; Help)
Closed, ResolvedPublic

Description

We need to display links to Privacy Policy (T335) and Phab / Bug management help (T350) somewhere once they exist.

I favor a footer at the bottom as the sidebar isn't displayed in many Phab views.

Details

Reference
fl431

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:40 AM
flimport set Reference to fl431.

Rush wrote on 2014-09-08 13:17:33 (UTC)

Per epriestley on footers:

Footers are tricky because of pages like Workboards and Conpherence which behave like "applications" and don't let you scroll.

Qgil assigned this task to chasemp.Sep 18 2014, 10:27 AM
Qgil added subscribers: chasemp, Qgil.

A footer now exists, provided by upstream after @chasemp convinced them not to mess with the law of the State of California and etc. Thank you!

We still need to fill it with the appropriate information:

Qgil closed this task as Resolved.Sep 18 2014, 10:27 AM
jeremyb reopened this task as Open.Sep 28 2014, 6:24 AM
jeremyb added a subscriber: jeremyb.

left side of footer is not visible (covered by left sidebar). even when I hit F11 to go full screen. (but of course we need features to work even if users aren't at maximum screen width)

first noticed on the search form but then tried other pages like homepage.

only way (AFAIK) to read all the footer text is to copy/paste it to somewhere else and then read it there.

ahh, now I see some pages (e.g. this very task page) don't have a left sidebar... still I think reopening this was correct.

Qgil closed this task as Resolved.Sep 28 2014, 5:31 PM

The problem of the footer width has been reported already, see my reply at T171#41

Re-closing this task.

great.

should we also do something to prevent a line wrap in the middle of "Wikimedia Foundation"? I guess just make it   should be sufficient. (for me, sometimes wraps there, sometimes doesn't)

Qgil added a comment.Sep 29 2014, 6:52 AM

Replied at T171#43. Please, let's continue there, since that is the task we have to polish the licensing text in the footer.

Sure, I don't care where.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM